@echo off
setlocal
@rem ********************************************************************
@rem *  Licensed Materials - Property of IBM 
@rem *
@rem *  5724-C07 
@rem *
@rem *  (c) Copyright IBM Corp.  2003, 2004 All Rights Reserved
@rem * 
@rem *  US Government Users Restricted Rights - Use, duplication or
@rem *  disclosure restricted by GSA ADP Schedule Contract with
@rem *  IBM Corp.
@rem *********************************************************************



rem # should be writable
set TRACEFILE=cmdline.trc               
rem # leave it at 0 if not sure
rem # values = {0,1,2}
set VERBOSITY=0                         
                                    

rem # -----------------------------------------------------------------------------
rem # Stop and generate a message if WAS_HOME is not set
rem # -----------------------------------------------------------------------------
if defined WAS_HOME goto was_home_found
echo WAS_HOME NOT DEFINED
set rc=1
goto end


:was_home_found

set JAVA_HOME=%WAS_HOME%\java\jre
set CLIENTSAS=-Dcom.ibm.CORBA.ConfigURL=file:%WAS_HOME%\profiles\default\properties\sas.client.props
set CLIENTJAAS=-Djava.security.auth.login.config=%WAS_HOME%\profiles\default\properties\wsjaas_client.conf
set SERVER_ROOT=-Dserver.root=%WAS_HOME%
set WAS_EXT_DIRS=%JAVA_HOME%\lib\ext;%JAVA_HOME%\lib;%WAS_HOME%\classes;%WAS_HOME%\lib;%WAS_HOME%\lib\ext;%WAS_HOME%\profiles\default\properties;%JMS_PATH%
set WAS_BOOTCLASSPATH=%JAVA_HOME%\lib\ext\ibmorb.jar;%WAS_HOME%\profiles\default\properties


rem ######################################################################
rem # Various Library Directories
rem ######################################################################

set ksh_dir=%~dp0

set PRIV_COMMON_LIB=%ksh_dir%..\..\lib
set PRIV_CMDLINE_LIB=%ksh_dir%..\lib
set JAVA=%JAVA_HOME%\bin\java
set L10N=%PRIV_CMDLINE_LIB%\l10n
rem Listing of required jar files follows
set PRIV_JARS=%PRIV_JARS%;%L10N%
set PRIV_JARS=%PRIV_JARS%;%PRIV_CMDLINE_LIB%\rpt_ejb.jar
set PRIV_JARS=%PRIV_JARS%;%PRIV_CMDLINE_LIB%\rpt_api.jar
set PRIV_JARS=%PRIV_JARS%;%PRIV_CMDLINE_LIB%\rpt_cmdline.jar
set PRIV_JARS=%PRIV_JARS%;%PRIV_COMMON_LIB%\utils.jar



set CMD_CLASS=com.ibm.btb.report.client.cmdline.CmdReport


"%JAVA%"  "-Xbootclasspath/p:%WAS_BOOTCLASSPATH%"  "-classpath" "%PRIV_JARS%" "-Djava.ext.dirs=%WAS_EXT_DIRS%"  "-Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory"  "%SERVER_ROOT%"  "%CLIENTSAS%" "%CLIENTJAAS%" "%CMD_CLASS%" %*


set rc=%ERRORLEVEL%
:end
endlocal





