#!/bin/ksh
######################################################################
#*  IBM Confidential 
#*  OCO Source Materials 
#*  5724-C07 
#*  (c) Copyright IBM Corp.  2003, 2004 All Rights Reserved
#* 
#*  The source code for this program is not published or otherwise 
#*  divested of its trade secrets, irrespective of what has been 
#*  deposited with the U.S. Copyright Office. 
######################################################################

#==============================================================================
# File, Component, Release:
# pm/code/rpt_cmdline/src/com/ibm/btb/report/client/cmdline/CmdReport.sh, TUG_AUDIT, pm_1.2.3, 051122a
#
# Version: 1.2
#==============================================================================
                                                                               
######################################################################
# Set the following environment variable(s)
######################################################################
# -----------------------------------------------------------------------------
# Define WAS_HOME here (e.g. /opt/WebSphere/AppClient)
# Uncomment the following line and define it to WebSphere Home Directory
# or export WAS_HOME with the correct WebSphere Home Directory
# -----------------------------------------------------------------------------


# WAS_HOME="<Place_WebSphere_Home_Directory_Here>"


TRACEFILE=cmdline.trc               # should be writable
VERBOSITY=0                         # leave it at 0 if not sure
                                    # values = {0,1,2}
# -----------------------------------------------------------------------------
# Stop and generate a message if WAS_HOME is not set
# -----------------------------------------------------------------------------
WAS_HOME_TEMP=${WAS_HOME:?} # Used only to check WAS_HOME environment variable.


# -----------------------------------------------------------------------------
# Set up WebSphere environment for Tivoli Privacy Manager
# -----------------------------------------------------------------------------
JAVA_HOME=$WAS_HOME/java/jre
CLIENTSAS=-Dcom.ibm.CORBA.ConfigURL="file:$WAS_HOME/profiles/default/properties/sas.client.props"
CLIENTJAAS=-Djava.security.auth.login.config="$WAS_HOME/profiles/default/properties/wsjaas_client.conf"
SERVER_ROOT=-Dserver.root=$WAS_HOME
WAS_EXT_DIRS=$JAVA_HOME/lib/ext:$JAVA_HOME/lib:$WAS_HOME/classes:$WAS_HOME/lib:$WAS_HOME/lib/ext:$WAS_HOME/profiles/default/properties:$JMS_PATH
WAS_BOOTCLASSPATH=$JAVA_HOME/lib/ext/ibmorb.jar:$WAS_HOME/profiles/default/properties

# -----------------------------------------------------------------------------
# Adjust WebSphere variable(s) based on platform
# -----------------------------------------------------------------------------
PLATFORM=$(/bin/uname)
if [ "$PLATFORM" = "SunOS" ]
then
  WAS_BOOTCLASSPATH=$WAS_BOOTCLASSPATH:$JAVA_HOME/lib/ext/ibmDeflatorOutputStream.jar:$JAVA_HOME/lib/ext/ibmext.jar
fi

######################################################################
# Various Library Directories
######################################################################

ksh_dir=`dirname $0`
if [ "ksh_dir" = "" ]
then
  ksh_dir="."
fi


WAS_LIB=$WS_HOME/lib
PRIV_COMMON_LIB=$ksh_dir/../../lib
PRIV_CMDLINE_LIB=$ksh_dir/../lib
JAVA=$JAVA_HOME/bin/java
L10N=$PRIV_CMDLINE_LIB/l10n
# Listing of required jar files follows
PRIV_JARS=$PRIV_JARS:$L10N
PRIV_JARS=$PRIV_JARS:$PRIV_CMDLINE_LIB/rpt_ejb.jar
PRIV_JARS=$PRIV_JARS:$PRIV_CMDLINE_LIB/rpt_api.jar
PRIV_JARS=$PRIV_JARS:$PRIV_CMDLINE_LIB/rpt_cmdline.jar
PRIV_JARS=$PRIV_JARS:$PRIV_COMMON_LIB/utils.jar


CMD_CLASS=com.ibm.btb.report.client.cmdline.CmdReport


$JAVA \
  -Xbootclasspath/p:$WAS_BOOTCLASSPATH \
  -Dcmdlinereport.verbosity=$VERBOSITY \
  -Dcmdlinereport.tracefile=$TRACEFILE \
  -classpath $PRIV_JARS \
  -Djava.ext.dirs=$WAS_EXT_DIRS \
  -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory \
  $SERVER_ROOT \
  $CLIENTSAS \
  $CLIENTJAAS \
  $CMD_CLASS "$@"
